#ifndef E_EFFECTS_WINDOW_H
#define E_EFFECTS_WINDOW_H

#define E_EFFECTS_OBJECT_TYPE 0xE0bbbbbb

#include <e.h>
#include <Ecore_Evas.h>
#include <Ecore.h>
#include <Ecore_X.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <X11/extensions/Xcomposite.h>
#include <X11/extensions/Xdamage.h>
#include <X11/extensions/Xrender.h>

typedef struct _E_Effects_Object
{
   E_Object e_obj_inherit;

   Eina_List *handlers;
   int x, y, w, h;
   int visible;

   int src_x, src_y;
   int dst_x, dst_y;
   int src_w, src_h;
   int dst_w, dst_h;
   float delta_x, delta_y;
   float delta_w, delta_h;

   Ecore_Evas *ecore_evas;
   Evas *evas;
   E_Border *border;
   Evas_Object *img;
   Ecore_X_Pixmap pixmap;
   Ecore_X_Damage damage;
} E_Effects_Object;

EAPI E_Effects_Object *e_effects_object_new(Ecore_Evas * ee, E_Border * border,
					    int x, int y, int w, int h);
EAPI void e_effects_object_show(E_Effects_Object * fx);

EAPI void e_effects_object_hide(E_Effects_Object * fx);

EAPI void e_effects_object_move(E_Effects_Object * fx, int x, int y);

EAPI void e_effects_object_resize(E_Effects_Object * fx, int w, int h);

EAPI void e_effects_object_move_resize(E_Effects_Object * fx, int x, int y,
				       int w, int h);

#endif /* E_EFFECTS_WINDOW_H */
